import ts from 'typescript';
import { CreateProgramFromConfigOptions, EmitOptions } from './interfaces';
/**
 * Compile ts files by creating a compilation object using the compiler API and emitting js files.
 * @public
 */
export declare function build(options: CreateProgramFromConfigOptions & EmitOptions): void;
/**
 * Create a compilation object using the compiler API.
 * @public
 */
export declare function createProgramFromConfig({ basePath, configFilePath, compilerOptions, include, exclude, files, extends: extend, references, }: CreateProgramFromConfigOptions): ts.Program;
/**
 * Compile Typescript files and emit diagnostics if any, throws an error if it fails.
 * @public
 */
export declare function emit(program: ts.Program, { betterDiagnostics, clean, basePath }?: EmitOptions): void;
